API ReferenceContractor
Create contractor
Create contractor
Authorization
apiKey Authorization<token>
Value for the Authorization header parameter.
In: header
The new Contractor resource
TypeScript Definitions
Use the request body type in TypeScript.
name*string
Length
length <= 120fullName?|
Length
length <= 200vatId?|
Length
length <= 20paymentDays?int|null
description?|
Length
length <= 255tags?array<>|null
industryBranches?array<>|null
contactInfo?array<>
email?|
Length
length <= 255accountingEmail?|
Length
length <= 255phoneNumber?|
Length
length <= 20validateVatId*boolean
Default
truecustomFieldValues?array<>
Response Body
curl -X POST "https://example.com/crm/contractors" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "validateVatId": true }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "fullName": "string", "pictureSm": "string", "pictureLg": "string", "vatId": "string", "paymentDays": null, "description": "string", "locations": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "countryCode": "st", "province": "string", "district": "string", "community": "string", "street": "string", "buildingNumber": "string", "localNumber": "string", "town": "string", "zipCode": "string", "isDefault": false } ], "attendants": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "attendantId": "455e8778-8976-4b27-a381-e822a5c78121", "firstName": "string", "lastName": "string", "email": "string", "pictureSm": "string", "pictureLg": "string", "isExternal": false, "contractorId": "8e641c22-41f4-4818-ae43-d2cb9b53e3d7", "contractorName": "string", "canLogIn": false, "phoneNumber": "string", "jobPositionName": "string" } ], "tags": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string" } ], "industryBranches": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string" } ], "contactInfo": [ { "type": "string", "value": "string", "isDefault": true } ], "email": "string", "accountingEmail": "string", "phoneNumber": "string", "defaultLocation": "string", "shortCode": "string", "canManage": false}